.chat-boat {
    border-radius: 10px;
    min-height: 534px;
    max-width: 550px;
    width: 100%;
    background-color: #F4F4F4;
    margin-left: auto;
}

.chat-boat .chat-head {
    background: #9CD4C4;
    border-radius: 10px 10px 0px 0px;
    padding: 18px 15px;
    text-align: center;
    font-family: "Lato", sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    color: #000000;
}

.msg-bubble {
    position: relative;
    border-radius: 15px;
    font-family: "Lato", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    color: #070606;
    width: calc(100% - 33px);

}

.msg-bubble {
    /* max-width: 240px; */
    padding: 10px 20px;
    border-radius: 15px;
    background-color: #2A7A99;
    color: #FFFFFF;
}

.left-msg .msg-bubble:before {
    display: block;
    clear: both;
    content: '';
    position: absolute;
    bottom: 1px;
    left: -7px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 12px 15px 12px;
    border-color: transparent transparent #2A799C transparent;
    -webkit-transform: rotate(-23deg);
    -ms-transform: rotate(-23deg);
    transform: rotate(-23deg);
}

.msg .time {
    display: block;
    margin-top: 5px;
    margin-bottom: 5px;
    font-family: "Lato", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    color: #000000;
}

.msg.right-msg {
    text-align: right;
}

.msg.right-msg .msg-bubble {
    margin-left: auto;
    text-align: left;
    background-color: #C4C4C4;
    color: #000000;
    display: inline-block;
    width: auto;
    max-width: calc(100% - 33px);
    word-wrap: break-word;
    min-width: 70px;
}

.right-msg .msg-bubble:before {
    display: block;
    clear: both;
    content: '';
    position: absolute;
    bottom: 1px;
    right: -7px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 12px 15px 12px;
    border-color: transparent transparent #C4C4C4 transparent;
    -webkit-transform: rotate(-129deg);
    -ms-transform: rotate(-129deg);
    transform: rotate(-129deg);
}

.msg-bubble+.msg-bubble {
    margin-top: 5px;
}

.msger-chat {
    padding: 20px;
    padding: 20px;
    overflow-y: auto;
    height: 400px;
}

.msger-inputarea {
    position: relative;
    padding: 20px;
}

.msger-inputarea .form-control {
    border: 0;
    height: 48px;
    color: #000000;
    padding-right: 85px;
}

.msger-inputarea .form-control::placeholder {
    color: #ABABAB;
}

.msger-inputarea .form-control::-moz-placeholder {
    color: #ABABAB;
}

.msger-inputarea .form-control::-webkit-input-placeholder {
    color: #ABABAB;
}

#myFileInput {
    display: none;
}

.msger-inputarea .btns-wrap {
    position: absolute;
    top: 50%;
    right: 35px;
    display: flex;
    align-items: center;
    gap: 15px;
    transform: translateY(-50%);
}

.file-btn {
    padding: 0;
    font-size: 0;
    background-color: transparent;
    border: 0;
    background-image: url("../images/file-upload.svg");
    width: 20px;
    height: 20px;
    background-size: 100% 100%;
}

.btn-share {
    padding: 0;
    font-size: 0;
    background-color: transparent;
    border: 0;
    background-image: url("../images/share.svg");
    width: 20px;
    height: 20px;
    background-size: 100% 100%;
}

.msger-chat::-webkit-scrollbar-thumb {
    background: #bdbdbd;
}

.msger-chat::-webkit-scrollbar-track {
    background: #ddd;
}

.msger-chat::-webkit-scrollbar {
    width: 6px;
}

.left-msg.default-choices .msg-bubble {
    max-width: 100%;
}

.left-msg .msg-bubble ul {
    margin-top: 15px;
    margin-bottom: 0;
}

.left-msg .msg-bubble ul li:not(:last-of-type) {
    margin-bottom: 5px;
}


#msgerror {
    position: absolute;
    top: auto;
    bottom: 1px;
    text-align: center;
    left: 0;
    right: 0;
}
.time{
    margin-top: 5px;
    display: block; 
}
.left-msg .msg-bubble {
    opacity: 0;
    animation: slide-in-anim 1.5s ease-out forwards;
}

/* Adjust delay for each element */
.left-msg:nth-child(1) .msg-bubble {
    animation-delay: 0.2s;
}

.left-msg:nth-child(2) .msg-bubble {
    animation-delay: 0.4s;
}

.left-msg:nth-child(3) .msg-bubble {
    animation-delay: 0.6s;
}

.left-msg:nth-child(4) .msg-bubble {
    animation-delay: 0.8s;
}

.left-msg:nth-child(5) .msg-bubble {
    animation-delay: 1.0s;
}

@keyframes slide-in-anim {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 4.5;
    }

    100% {
        opacity: 1;
    }
}